Qt 5.9 | Qt 3D | C++ Classes | QTextureCubeMapArray

Qt 5.9.9 Reference Documentation

# QTextureCubeMapArray Class

(Qt3DRender::QTextureCubeMapArray)

A QAbstractTexture with a TargetCubeMapArray target format. More...

Header: | #include <QTextureCubeMapArray>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Public Functions

| QTextureCubeMapArray(Qt3DCore::QNode *parent = nullptr)

- 21 public functions inherited from Qt3DRender::QAbstractTexture
- 11 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 15 properties inherited from Qt3DRender::QAbstractTexture
- 3 properties inherited from Qt3DCore::QNode
- 12 public slots inherited from Qt3DRender::QAbstractTexture
- 3 public slots inherited from Qt3DCore::QNode
- 13 signals inherited from Qt3DRender::QAbstractTexture
- 4 signals inherited from Qt3DCore::QNode
- 1 protected function inherited from Qt3DRender::QAbstractTexture
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A QAbstractTexture with a TargetCubeMapArray target format.

## Member Function Documentation

### QTextureCubeMapArray::QTextureCubeMapArray(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTextureCubeMapArray.